Page MenuHomePhabricator

[RISCV] Default enable RISCV linker relaxation
ClosedPublic

Authored by shiva0217 on May 21 2018, 1:05 AM.

Diff Detail

Repository
rC Clang

Event Timeline

shiva0217 created this revision.May 21 2018, 1:05 AM
asb accepted this revision.Feb 14 2019, 7:30 AM

I think the backend part of this has seen plenty of testing and it would be worth merging this change. Thanks!

lib/Driver/ToolChains/Arch/RISCV.cpp
369

Personal preference that the LLVM coding style seems silent on, but I'll share anyway: I like omitting the braces for single-line blocks but find it a bit less readable in cases like this where the block's single statement spans multiple lines. I'd be tempted to add braces {}.

This revision is now accepted and ready to land.Feb 14 2019, 7:30 AM
Herald added a project: Restricted Project. · View Herald TranscriptFeb 14 2019, 7:30 AM
asb edited subscribers, added: cfe-commits; removed: llvm-commits.Feb 14 2019, 7:31 AM

Removing llvm-commits and adding cfe-commits. This patch is mistakenly marked as targeting the LLVM repo rather than Clang.

shiva0217 updated this revision to Diff 187160.Feb 17 2019, 7:44 AM
shiva0217 changed the repository for this revision from rL LLVM to rC Clang.
shiva0217 edited projects, added Restricted Project; removed Restricted Project.

Update patch to address Alex's comment.

This revision was automatically updated to reflect the committed changes.